Schema: AtsDegrossRevConSpreads (ID: 2355)
Deleted once the EE publisher and WTS join cut over; do not add consumers. The number is
reusable a few weeks after deletion.
METADATA
| Attribute | Value |
|---|---|
| Topic | 2270-execution-engine |
| MLink Token | ClientTrading |
| MLink Endpoint | MLink-Live |
| SRSE Product | SRTrade |
Note: The symbol
=next to a field number indicates that it is a primary key.
BODY
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 10= | ticker | TickerKey | underlier ticker | |
| 11= | expiry | DateKey | flex option expiry date | |
| 100 | strike | double | SR-chosen sticky strike for this ticker | |
| 101 | refUPrc | double | current reference underlier price (updated intraday) | |
| 102 | iDays | int | interest days to expiry | |
| 110 | srRate | double | SR reference financing rate | |
| 111 | srSDiv | double | SR reference continuous dividend rate | |
| 112 | srRcFairPrc | double | SR computed fair RevCon price (using SR values) | |
| 113 | srClearingSDiv | double | prior auction's clearing SDIV (if any; 0 if no prior auction) | |
| 130 | nextAuctionTime | DateTime | next scheduled auction time (updated after each cycle) | |
| 131 | nextCutoffTime | DateTime | submission cutoff for next auction | |
| 132 | auctionStatus | enum : AtsRevConAuctionStatus | ||
| 133 | lastAuctionTime | DateTime | most recent completed auction time (epoch if none today) | |
| 134 | numAuctionsToday | int | auctions completed today | |
| 135 | numAuctionsRemaining | int | auctions remaining in today's schedule | |
| 150 | timestamp | DateTime | ||
| 153 | indicativeClearPrc | double | clearing price from the most recent solve (only meaningful when a cross exists; see buySize/sellSize) | |
| 156 | indicativeClearSDiv | double | SDIV implied by indicativeClearPrc (SR rate/ddiv basis; 0 = no cross) | |
| 159 | buySize | int | total open Buy (reversal / lend) size in this market | |
| 162 | sellSize | int | total open Sell (conversion / borrow) size in this market | |
| 165 | imbalance | int | signed imbalance = buySize - sellSize |
REPEATING FIELDS
SRDDiv
| # | Field | Type | Default Value | Comment |
|---|---|---|---|---|
| 121 | ddivExDate | DateKey | expected ex-date | |
| 122 | ddivAmount | double | expected dividend amount per share | |
| 123 | ddivSource | enum : DDivSource | Announced, Forecast, etc. |
Get Schema API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AtsDegrossRevConSpreads'
# Request Parameters for Get Schema Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getschema',
"msgType": MSG_TYPE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getschema' \
--data-urlencode 'msgType=AtsDegrossRevConSpreads'
Get Msg API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AtsDegrossRevConSpreads'
# Replace with your pkey value for getting the specific message desired
PKEY = 'ReplaceThisValueForTheQueryToWork'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned.
VIEW = 'strike|refUPrc|iDays|srRate|srSDiv|srRcFairPrc|srClearingSDiv|nextAuctionTime|nextCutoffTime|auctionStatus|lastAuctionTime|numAuctionsToday|numAuctionsRemaining|timestamp|indicativeClearPrc|indicativeClearSDiv|buySize|sellSize|imbalance'
# Replace with your desired where clause.
# a string in the form "field1:eq:valuse" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = ''
# Request Parameters for getmsg Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsg',
"pkey": PKEY,
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsg' \
--data-urlencode 'pkey=ReplaceThisValueForTheQueryToWork' \
--data-urlencode 'msgType=AtsDegrossRevConSpreads' \
--data-urlencode 'view=strike|refUPrc|iDays|srRate|srSDiv|srRcFairPrc|srClearingSDiv|nextAuctionTime|nextCutoffTime|auctionStatus|lastAuctionTime|numAuctionsToday|numAuctionsRemaining|timestamp|indicativeClearPrc|indicativeClearSDiv|buySize|sellSize|imbalance' \
--data-urlencode 'where='
Get Msgs API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AtsDegrossRevConSpreads'
# Replace with your desired view. A "|" separated list of views can be provided
# If no view is provided, all views will be returned
VIEW = 'strike|refUPrc|iDays|srRate|srSDiv|srRcFairPrc|srClearingSDiv|nextAuctionTime|nextCutoffTime|auctionStatus|lastAuctionTime|numAuctionsToday|numAuctionsRemaining|timestamp|indicativeClearPrc|indicativeClearSDiv|buySize|sellSize|imbalance'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = ''
# Replace with your desired limit of how many messages you receive. The default limit is 500
LIMIT = 500
# Order clause eg. "(field1:DESC | field1:ASC | field2:DESC:ABS | field2:ASC:ABS" (default is unordered; default is faster)
ORDER = 'strike:ASC'
# Request Parameters for getmsgs Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getmsgs',
"msgType": MSG_TYPE,
# Optional Parameters
"view": VIEW,
"where": WHERE,
"limit": LIMIT,
"order": ORDER
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getmsgs' \
--data-urlencode 'msgType=AtsDegrossRevConSpreads' \
--data-urlencode 'view=strike|refUPrc|iDays|srRate|srSDiv|srRcFairPrc|srClearingSDiv|nextAuctionTime|nextCutoffTime|auctionStatus|lastAuctionTime|numAuctionsToday|numAuctionsRemaining|timestamp|indicativeClearPrc|indicativeClearSDiv|buySize|sellSize|imbalance' \
--data-urlencode 'where=' \
--data-urlencode 'limit=500' \
--data-urlencode 'order=strike:ASC'
Get Aggregate API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AtsDegrossRevConSpreads'
# Replace with fields you want to see aggregate values for. A "|" separated list of measures should be provided
MEASURE = 'strike|refUPrc|iDays|srRate|srSDiv|srRcFairPrc|srClearingSDiv|nextAuctionTime|nextCutoffTime|auctionStatus|lastAuctionTime|numAuctionsToday|numAuctionsRemaining|timestamp|indicativeClearPrc|indicativeClearSDiv|buySize|sellSize|imbalance'
# Replace with fields you want to see aggregated. A "|" separated list of fields should be provided
GROUP = 'auctionStatus'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = ''
# Request Parameters for getaggregate Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getaggregate',
"msgType": MSG_TYPE,
"measure": MEASURE,
"group": GROUP,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getaggregate' \
--data-urlencode 'msgType=AtsDegrossRevConSpreads' \
--data-urlencode 'measure=strike|refUPrc|iDays|srRate|srSDiv|srRcFairPrc|srClearingSDiv|nextAuctionTime|nextCutoffTime|auctionStatus|lastAuctionTime|numAuctionsToday|numAuctionsRemaining|timestamp|indicativeClearPrc|indicativeClearSDiv|buySize|sellSize|imbalance' \
--data-urlencode 'group=auctionStatus' \
--data-urlencode 'where='
Get Count API Call
- Python
- cUrl
import requests
# Replace with your desired MLINK URL
MLINK_PROD_URL = 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json'
# Replace with your MLINK API Key
API_KEY = 'XXXX-XXXX-XXXX-XXXX'
# Replace with your desired MsgType.
MSG_TYPE = 'AtsDegrossRevConSpreads'
# Replace with your desired where clause.
# a string in the form "field1:eq:value" or "(field1:ne:value1 & field1:ne:value2)
# "WHERE" clauses can contain the following comparison symbols:
# :gt: is greater than
# :ge: is greater than or equal to
# :lt: is less than
# :le: is less than or equal to
# :eq: is equal
# :ne: is not equal
# %26 is an AND statement
# | is an OR statement
# :sw: is starts with
# :ew: is ends with
# :cv: is contains values
# :nv: is does not contain value
# :cb: is contained between (two dates for instance) separated by '$'
WHERE = ''
# Request Parameters for getCount Of The MsgType
params = {
# Required Parameters
"apiKey": API_KEY,
"cmd": 'getcount',
"msgType": MSG_TYPE,
# Optional Parameters
"where": WHERE,
}
response = requests.get(MLINK_PROD_URL, params=params)
curl -G 'https://mlink-live.nms.saturn.spiderrockconnect.com/rest/json' \
--data-urlencode 'apiKey=XXXX-XXXX-XXXX-XXXX' \
--data-urlencode 'cmd=getcount' \
--data-urlencode 'msgType=AtsDegrossRevConSpreads' \
--data-urlencode 'where='